A motive (artwork or image) in the platform's motive library. Motives are the graphical assets applied to product print areas during the design process.
| Name | Type | Description | |
|---|---|---|---|
id
|
number
|
Unique numeric identifier for the motive. | |
uuid
|
string
|
Unique UUID identifier for the motive. | |
name
|
string
|
The nonlocalized name of the motive. | |
type
|
MotiveType | The type of the motive. Possible values are VECTOR, HIGH_DENSITY_VECTOR, HIGH_RESOLUTION_BITMAP, USER_BITMAP. |
/accounts/{accountId}/shops/{shopId}/motives
request body
POST
/accounts/{accountId}/shops/{shopId}/motives
response
GET
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
response
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
request body
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
response
POST
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/bitmap
response
POST
/accounts/{accountId}/shops/{shopId}/userMotives/createFromData
response
POST
/accounts/{accountId}/shops/{shopId}/userMotives/createFromMultipartForm
response
GET
/accounts/{accountId}/shops/{shopId}/userMotives/{motiveId}
response
{
"motive" : {
"id" : 12345,
"uuid" : "...",
"name" : "funny thing",
"type" : "VECTOR"
}
}
A motive (artwork or image) in the platform's motive library. Motives are the graphical assets applied to product print areas during the design process.
| Name | Type | Description | |
|---|---|---|---|
id
|
int
|
Unique numeric identifier for the motive. | |
name
|
string
|
The nonlocalized name of the motive. | |
type
|
MotiveType | The type of the motive. Possible values are VECTOR, HIGH_DENSITY_VECTOR, HIGH_RESOLUTION_BITMAP, USER_BITMAP. | |
uuid
|
string
|
Unique UUID identifier for the motive. |
/accounts/{accountId}/shops/{shopId}/motives
request body
POST
/accounts/{accountId}/shops/{shopId}/motives
response
GET
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
response
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
request body
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}
response
POST
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/bitmap
response
POST
/accounts/{accountId}/shops/{shopId}/userMotives/createFromData
response
POST
/accounts/{accountId}/shops/{shopId}/userMotives/createFromMultipartForm
response
GET
/accounts/{accountId}/shops/{shopId}/userMotives/{motiveId}
response
<motive>
<id>...</id>
<uuid>...</uuid>
<name>funny thing</name>
<type>VECTOR</type>
</motive>